import { Meta, Story, Canvas, ArgsTable } from '@storybook/addon-docs';
import { Rating } from './Rating';

# Rating

This component will render5 star icons with 0 to 5 filled in star icons depending on what props you pass to it.
Only integer number of filled stars.

# Size

This component size's can be string of 's'|'m'|'l'|'xl'| or number from 3 - 6. This is due to the icons size have already defined.

## Props

<ArgsTable of={Rating} />

## Usage

Basic usage

```javascript
<Rating rating={3} />
```
